# skbio.diversity.alpha.mcintosh_d

`skbio.diversity.alpha.``mcintosh_d`(counts)

  Calculate McIntosh dominance index D.

  State: Experimental as of 0.4.0.

  McIntosh dominance index D is defined as:

  \[D = \frac{N - U}{N - \sqrt{N}}\]

  where \(N\) is the total number of individuals in the sample and \(U\) is defined as:

  \[U = \sqrt{\sum{{n_i}^2}}\]

  where \(n_i\) is the number of individuals in the \(i^{\text{th}}\) OTU.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  Returns:

  double

  > McIntosh dominance index D.

  See also

  `mcintosh_e`

  Notes

  The index was proposed in [R36]. The implementation here is based on the description given in the SDR-IV online manual [R37].

  References

  [R36] | (1, 2) McIntosh, R. P. 1967 An index of diversity and the relation of certain concepts to diversity. Ecology 48, 1115-1126.

  [R37] | (1, 2) http://www.pisces-conservation.com/sdrhelp/index.html